Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162684 - follow a possible link to a device special file
Summary: follow a possible link to a device special file
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-07 17:02 UTC by Peter Warasin
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-05 20:50:02 UTC


Attachments (Terms of Use)
patch which adds that behaviour (deleted)
2005-07-07 17:02 UTC, Peter Warasin
no flags Details | Diff

Description Peter Warasin 2005-07-07 17:02:49 UTC
Description of problem:
this enhancement uses readlink to determine the real device special file in
new-kernel-pkg. one may have links as for example IPCop unfortuately does.


Version-Release number of selected component (if applicable):
4.1.18

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Peter Warasin 2005-07-07 17:02:49 UTC
Created attachment 116482 [details]
patch which adds that behaviour

Comment 2 Peter Warasin 2005-07-07 17:04:09 UTC
enhancement was needed for www.efw.it and has been developed by www.endian.it

Comment 3 Peter Jones 2006-02-03 21:56:00 UTC
Is this still a problem with mkinitrd-5.0.20 ?

Comment 4 John Thacker 2006-05-05 20:50:02 UTC
Closing due to lack of response.
Note that FC3 is the responsibility of Fedora Legacy now.
If this problem occurs on FC4 or FC5, please reopen.


Note You need to log in before you can comment on or make changes to this bug.